Segmentation fault on startup with java plugin installed

RESOLVED WORKSFORME

Status

Core Graveyard
Java: OJI
RESOLVED WORKSFORME
16 years ago
7 years ago

People

(Reporter: Jim Laurent, Assigned: Henry Jia)

Tracking

Trunk
Sun
Solaris

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

16 years ago
From Bugzilla Helper:
User-Agent: Mozilla/4.76C-CCK-MCD  [en] (X11; U; SunOS 5.9 sun4u)
BuildID:    2002040910

With non-present .mozilla file, mozilla starts fine and allows me to set up
mail, browsing etc. After quitting and attempting to restart mozilla,
segmentation fault occurs before the first window is display.

Running Solaris 9 on Sparc.
Tail end of truss included:

/1:     munmap(0xFDA3A000, 57344)                       = 0
/1:     resolvepath("/usr/lib/libCrun.so.1", "/usr/lib/libCrun.so.1", 1023) = 21
/1:     memcntl(0xFDA30000, 13552, MC_ADVISE, MADV_WILLNEED, 0, 0) = 0
/1:     close(12)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/usr/sfw/lib/libc.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/localtools/solsparc/SC6.1/lib/rw7/libc.so.1", O_RDONLY) Err#2
ENOENT
/1:     open("/localtools/solsparc/SC6.1/lib/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/opt/SUNWspro/lib/libc.so.1", O_RDONLY)   Err#2 ENOENT
/1:     open("/usr/ccs/lib/libc.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 12
/1:     fstat(12, 0xFFBFD724)                           = 0
/1:     close(12)                                       = 0
/1:     open("./libw.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/usr/sfw/lib/libw.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("./plugins/libw.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/lib/libw.so.1", O_RDONLY)            = 12
/1:     fstat(12, 0xFFBFD724)                           = 0
/1:     mmap(0xFE4B0000, 8192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 12,
0) = 0xFE4B0000
/1:     resolvepath("/usr/lib/libw.so.1", "/usr/lib/libw.so.1", 1023) = 18
/1:     close(12)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/usr/sfw/lib/libc.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 12
/1:     fstat(12, 0xFFBFD724)                           = 0
/1:     close(12)                                       = 0
/1:         Incurred fault #6, FLTBOUNDS  %pc = 0xFFE80000
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0xFFE80000
/1:         Received signal #11, SIGSEGV [default]
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0xFFE80000


Reproducible: Sometimes
Steps to Reproduce:
1. Work with Mozilla a while
2. Quit it and restart
3. mozilla seg faults

Unpredictable when it happens.  But once it happens the only way to clear up is
to delete the .mozilla folder.


Actual Results:  Seg fault

Expected Results:  Normal operation.
(Reporter)

Comment 1

16 years ago
Today, have removed the .mozilla directory and the .netscape6 directory and
mozilla still seg faults at the same location indicated above.

I don't know what environment variable or other interactions are preventing
mozilla from running.

Unable to test mozilla further on Solaris 9 unless I can get past this seg fault
issue.
(Reporter)

Updated

16 years ago
Keywords: mozilla1.0

Comment 2

16 years ago
Frank,
Could you direct this bug to the Sun China engineers who are working on mozilla?
 Thanks.
(Assignee)

Comment 3

16 years ago
Hi, Samir Gehani, we are evaluating it now.
(Assignee)

Comment 4

16 years ago
Hi, Jim, I download the fresh trunk code and build it. Then I test what you have
reported. But I can't reproduce. So can you give out more clues about how to
reproduce this bug? Thanks.

P.S. When I use gnome 1.4 for solaris and run the mozilla 0.8 it inlcudes, I
encounted crash. But it crash when I close it instead of startup. So have you
the same enviroment of gnome 1.4 for solaris? And can you download a new version
of mozilla and test it again? When you test, make sure unset MOZILLA_FIVE_HOME,
otherwise, you'll run 0.8 instead of what you want.

Following is the call stack when 0.8 crashes. About XUL.
librdf.so`FindFirst__12nsElementMapRCt23basic_nsAReadableString1ZUsPP10nsIContent+0x8c(4c5aa0,

ffbfd120, ffbfd070, 0, ffbfd120, fdfe3fc0)
librdf.so`GetElementById__13nsXULDocumentRCt23basic_nsAReadableString1ZUsPP13nsIDOMElement+0x70(
27d9b0, ffbfd120, ffbfd108, fdff810c, fdfe99c8, fe0d8410)
librdf.so`IsDirectlyContainedBy__20nsXULTemplateBuilderP10nsIContentT1+0xe8(4c5ca8,
826298, 390cf8, ff1e5f30, 82f558, ffbfd394)
librdf.so`RemoveMember__20nsXULTemplateBuilderP10nsIContentP14nsIRDFResourcei+0x144(0,
390cf8, 
ffbfd230, 1, ffbfd2f0, ffbfd2d8)
librdf.so`Retract__20nsXULTemplateBuilderP14nsIRDFResourceT1P10nsIRDFNode+0x138(4c5ca8,
11c848, 
1a3480, 1f24a8, 0, 0)
librdf.so`OnUnassert__20nsXULTemplateBuilderP16nsIRDFDataSourceP14nsIRDFResourceT2P10nsIRDFNode+0x6c(4c5ca8,
4c64f0, 11c848, 1a3480, 1f24a8, fe020dc4)
librdf.so`OnUnassert__23CompositeDataSourceImplP16nsIRDFDataSourceP14nsIRDFResourceT2P10nsIRDFNode+0xa4(4c64f0,
fae10, 11c848, 1a3480, 1f24a8, fdfc2f8c)
librdf.so`Unassert__18InMemoryDataSourceP14nsIRDFResourceT1P10nsIRDFNode+0xcc(fae10,
11c848, 
1a3480, 1f24a8, fdfc4b24, 1274)
librdf.so`RemoveElement__16RDFContainerImplP10nsIRDFNodei+0xd0(0, 1f24a8, 1,
fdfc9b10, 1f2178, 
1f2178)
libnsappshell.so`UnregisterWindow__16nsWindowMediatorP12nsWindowInfo+0x148(11c3a8,
1ee938, 
fe9c9f98, fe983918, 0, 0)
libnsappshell.so`UnregisterWindow__16nsWindowMediatorP12nsIXULWindow+0x44(11c3a8,
b4120, fe9c9f98
, fe983874, 11c3a8, 1f2dac)
libnsappshell.so`UnregisterTopLevelWindow__17nsAppShellServiceP12nsIXULWindow+0x3c(80004000,
b4120, fe9c9500, fe97b088, 57b48, 2)
libnsappshell.so`Destroy__11nsXULWindow+0xdc(b4120, b4188, fdc85ac0, fdc60900,
1f2f04, ffbfd784)
libnsappshell.so`Destroy__16nsWebShellWindow+0xb4(b4120, fe9c9968, fe97e08c,
ffbfd6e4, 1, ffbfd784)
libnsappshell.so`Close__16nsWebShellWindow+0x14(b4124, fe9c9878, fe97ec98,
b4180, 1f26b8, 3000026
)
libnsappshell.so`HandleEvent__16nsWebShellWindowP10nsGUIEvent+0x1e0(ffbfd998, 0,
fe8369dc, 1f26b8
, 0, 0)
libwidget_gtk.so`DispatchEvent__8nsWidgetP10nsGUIEventR13nsEventStatus+0x6c(1f26b8,
ffbfd998, 
ffbfd994, fe830838, fe8941b8, 0)
libwidget_gtk.so`handle_delete_event__FP10_GtkWidgetP12_GdkEventAnyP8nsWindow+0x4c(1f29b0,
1f69d0
, 1f26b8, 2, 0, 104348)
libgtk-1.2.so.0.5.1`gtk_marshal_BOOL__POINTER+0x68(1f29b0, fe837698, 1f26b8,
ffbfdbd8, fe31342c, 2)
libgtk-1.2.so.0.5.1`gtk_handlers_run+0x198(f9458, ffbfdb44, 1f29b0, ffbfdbd8, 0, 2)
libgtk-1.2.so.0.5.1`gtk_signal_real_emit+0x5cc(1f29b0, 17, ffbfdbd8, 0, 0, ffbfdbf0)
libgtk-1.2.so.0.5.1`gtk_signal_emit+0x35c(1f29b0, 17, 1f69d0, ffbfdf58, fe225cf4, 0)
libgtk-1.2.so.0.5.1`gtk_widget_event+0x6b0(1f29b0, 1f69d0, 0, 30000aa, 21, 3000026)
libgtk-1.2.so.0.5.1`gtk_main_do_event+0x318(1f69d0, a615, 87030, ffbfe0ac, 0, 0)
libwidget_gtk.so`handle_gdk_event__FP9_GdkEventPv+0x328(1f69d0, 0, 9, 0, 0, 0)
libgdk-1.2.so.0.5.1`gdk_event_dispatch+0x110(0, ffbfe210, 0, 2, 0, ffbfe178)
libglib-1.2.so.0.0.6`g_main_dispatch+0x1f0(ffbfe210, f6408, 1, 113e60, fe31342c, 2)
libglib-1.2.so.0.0.6`g_main_iterate+0xc58(1, 1, 20, fe81dc14, fe495644, 2)
libglib-1.2.so.0.0.6`g_main_run+0x104(113e80, 113e80, 1, fe82023c, fe890f08, 0)
libgtk-1.2.so.0.5.1`gtk_main+0x1bc(73f10, fe890f08, fe820094, af878, ff1f02fc, 0)
libwidget_gtk.so`Run__10nsAppShell+0x3c(0, fe890f08, fe820748, f6ca8, fe1fad30,
af878)
libnsappshell.so`Run__17nsAppShellService+0x14(57b48, fe9c9500, fe97b674, 57b48,
57b48, de998)
0x15878(0, ffbfe508, 0, ffbfe510, ffbfe44c, 0)
main+0x16c(0, ffbfe614, ffbfe620, 314d0, 0, 0)
_start+0x5c(0, 0, 0, 0, 0, 0)

Comment 5

16 years ago
Over to the Sun folks.
Assignee: sgehani → Henry.Jia
(Reporter)

Comment 6

16 years ago
As instructed, I downloaded the latest binary build today 2002041522.  

I am running Solaris 9 without GNOME.

Solaris 9 s9_58shwpl1 SPARC
Copyright 2002 Sun Microsystems, Inc.  All Rights Reserved.
Use is subject to license terms.
Assembled 18 March 2002

Removed the .mozilla directory in my home directory.

unzipped and untarred the build

Edited run-mozilla.sh to add /usr/sfw/lib to my LD_LIBRARY_PATH

started mozilla and configured for use within Sun including IMAP mail, proxies,
LDAP address book etc.

Quit, restart and killed mozilla several times to test.  One of these normal
exits resulted in a core dump (seg fault) on exit.

After that starting mozilla using run-mozilla.sh resulted in:

run-mozilla.sh
Segmentation Fault - core dumped

Mozilla runs succesfully when run directly by mozilla-bin.


I can send you the core file through Sun channels if necessary. It's about 10 MB
in size.

Here is my run-mozilla.sh file.

laurent% cat run*sh
#!/bin/sh
#
# The contents of this file are subject to the Netscape Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/NPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is Netscape
# Communications Corporation.  Portions created by Netscape are
# Copyright (C) 1998 Netscape Communications Corporation. All
# Rights Reserved.
#
# Contributor(s): 
#
#
## 
## Usage:
##
## $ run-mozilla.sh [options] [program] [program arguments]
##
## This script is meant to run a mozilla program from the mozilla
## source tree.  This is mostly useful to folks hacking on mozilla.
##
## The script will setup all the environment voodoo needed to make
## mozilla work.
##
## In the absence of a program being specified on the command line, the
## script determines which program to run in this order of existence.
##
##   1. The program named foo-bin where foo is the name of this script,
##      (e.g. rename this script as TestEmbed and it will look for
##      TestEmbed-bin).
##   2. The "viewer" executable.
##   3. The "mozilla-bin" executable
#
## Standard shell script disclaimer blurb thing:
##
## This script is a hack.  It's brute force.  It's horrible.  
## It doesn't use Artificial Intelligence.  It doesn't use Virtual Reality.
## It's not perl.  It's not python.  It probably won't work unchanged on
## the "other" thousands of unices.  But it worksforme.  --ramiro
##
## If you have an improvement, patch, idea, whatever, on how to make this
## script better, post it here:
##
## news://news.mozilla.org/netscape.public.mozilla.patches
## news://news.mozilla.org/netscape.public.mozilla.unix
## 
#
##
## Potential improvements:
##
## + Run from anywhere in the tree.
## + Run ldd on the program and report missing dlls
## + Deal with NSPR in the tree
## + All the other unices
##
#
cmdname=`basename $0`
MOZ_DIST_BIN=`dirname $0`
MOZ_DEFAULT_NAME="./${cmdname}-bin"
MOZ_APPRUNNER_NAME="./mozilla-bin"
MOZ_VIEWER_NAME="./viewer"
MOZ_PROGRAM=""

exitcode=0
#
##
## Functions
##
##########################################################################
moz_usage()
{
echo "Usage:  ${cmdname} [options] [program]"
echo ""
echo "  options:"
echo ""
echo "    -g                   Run in debugger."
echo "    --debug"
echo ""
echo "    -d debugger          Debugger to use."
echo "    --debugger debugger"
echo ""
echo "  Examples:"
echo ""
echo "  Run the viewer"
echo ""
echo "    ${cmdname} viewer"
echo ""
echo "  Run the mozilla-bin binary"
echo ""
echo "    ${cmdname} mozilla-bin"
echo ""
echo "  Debug the viewer in a debugger"
echo ""
echo "    ${cmdname} -g viewer"
echo ""
echo "  Debug the mozilla-bin binary in gdb"
echo ""
echo "    ${cmdname} -g mozilla-bin -d gdb"
echo ""
        return 0
}
##########################################################################
moz_bail()
{
        message=$1
        echo
        echo "$cmdname: $message"
        echo
        exit 1
}
##########################################################################
moz_test_binary()
{
        binary=$1
        if [ -f "$binary" ]
        then
                if [ -x "$binary" ]
                then
                        return 1
                fi
        fi
        return 0
}
##########################################################################
moz_get_debugger()
{
        debuggers="ddd gdb dbx bdb"
        debugger="notfound"
        done="no"
        for d in $debuggers
        do
                moz_test_binary /bin/type
                if [ $? -eq 1 ]
                then
                        dpath=`type ${d} | awk '{print $3;}'`
                else 
                        dpath=`which ${d}`
                fi
                if [ -x "$dpath" ]
                then
                        debugger=$dpath
                        break
                fi
        done
        echo $debugger
        return 0
}
##########################################################################
moz_run_program()
{
        prog=$MOZ_PROGRAM
        ##
        ## Make sure the program is executable
        ##
        if [ ! -x "$prog" ]
        then
                moz_bail "Cannot execute $prog."
        fi
        ##
        ## Use md5sum to crc a core file.  If md5sum is not found on the system,
        ## then dont debug core files.
        ##
        moz_test_binary /bin/type
        if [ $? -eq 1 ]
        then
                crc_prog=`type md5sum | awk '{print $3;}'`
        else
                crc_prog=`which md5sum`
        fi
        if [ -x "$crc_prog" ]
        then
                DEBUG_CORE_FILES=1
        fi
        if [ "$DEBUG_CORE_FILES" ]
        then
                crc_old=
                if [ -f core ]
                then
                        crc_old=`$crc_prog core | awk '{print $1;}' `
                fi
        fi
        ##
        ## Run the program
        ##
        $prog ${1+"$@"} 
        exitcode=$?
        if [ "$DEBUG_CORE_FILES" ]
        then
                if [ -f core ]
                then
                        crc_new=`$crc_prog core | awk '{print $1;}' `
                fi
        fi
        if [ "$crc_old" != "$crc_new" ]
        then
                printf "\n\nOh no!  %s just dumped a core file.\n\n" $prog
                printf "Do you want to debug this ? "
                printf "You need a lot of memory for this, so watch out ? [y/n] "
                read ans
                if [ "$ans" = "y" ]
                then
                        debugger=`moz_get_debugger`
                        if [ -x "$debugger" ]
                        then
                                echo "$debugger $prog core"

                                # See http://www.mozilla.org/unix/debugging-faq.html
                                # For why LD_BIND_NOW is needed
                                LD_BIND_NOW=1; export LD_BIND_NOW

                                $debugger $prog core
                        else
                                echo "Could not find a debugger on your system."
                        fi
                fi
        fi
}
##########################################################################
moz_debug_program()
{
        prog=$MOZ_PROGRAM
        ##
        ## Make sure the program is executable
        ##
        if [ ! -x "$prog" ]
        then
                moz_bail "Cannot execute $prog."
        fi
        if [ -n "$moz_debugger" ]
        then
                moz_test_binary /bin/type
                if [ $? -eq 1 ]
                then
                        debugger=`type $moz_debugger | awk '{print $3;}'` 
                else
                        debugger=`which $moz_debugger` 
                fi
        else
                debugger=`moz_get_debugger`
        fi
    if [ -x "$debugger" ] 
    then
        echo "set args ${1+"$@"}" > /tmp/mozargs$$ 
# If you are not using ddd, gdb and know of a way to convey the arguments 
# over to the prog then add that here- Gagan Saksena 03/15/00
        case `basename $debugger` in
            gdb) echo "$debugger $prog -x /tmp/mozargs$$"
                $debugger $prog -x /tmp/mozargs$$
                exitcode=$?
                ;;
            ddd) echo "$debugger --debugger \"gdb -x /tmp/mozargs$$\" $prog"
                $debugger --debugger "gdb -x /tmp/mozargs$$" $prog
                exitcode=$?
                ;;
            *) echo "$debugger $prog ${1+"$@"}"
                $debugger $prog ${1+"$@"}
                exitcode=$?
                ;;
        esac
        /bin/rm /tmp/mozargs$$
    else
        echo "Could not find a debugger on your system." 
    fi
}
##########################################################################
##
## Command line arg defaults
##
moz_debug=0
moz_debugger=""
#
##
## Parse the command line
##
while [ $# -gt 0 ]
do
  case $1 in
    -g | --debug)
      moz_debug=1
      shift
      ;;
    -d | --debugger)
      moz_debugger=$2;
      if [ "${moz_debugger}" != "" ]; then
        shift 2
      else
        echo "-d requires an argument"
        exit 1
      fi
      ;;
    *)
      break;
      ;;
  esac
done
#
##
## Program name given in $1
##
if [ $# -gt 0 ]
then
        MOZ_PROGRAM=$1
        shift
fi
##
## Program not given, try to guess a default
##
if [ -z "$MOZ_PROGRAM" ]
then
        ##
        ## Try this script's name with '-bin' appended
        ##
        if [ -x "$MOZ_DEFAULT_NAME" ]
        then
                MOZ_PROGRAM=$MOZ_DEFAULT_NAME
        ## Try viewer (this should be deprecated)
        ## 
        elif [ -x "$MOZ_VIEWER_NAME" ]
        then
                MOZ_PROGRAM=$MOZ_VIEWER_NAME
        ##
        ## Try mozilla-bin
        ## 
        elif [ -x "$MOZ_APPRUNNER_NAME" ]
        then
                MOZ_PROGRAM=$MOZ_APPRUNNER_NAME
        fi
fi
#
#
##
## Make sure the program is executable
##
if [ ! -x "$MOZ_PROGRAM" ]
then
        moz_bail "Cannot execute $MOZ_PROGRAM."
fi
#
##
## Set MOZILLA_FIVE_HOME
##
MOZILLA_FIVE_HOME=$MOZ_DIST_BIN
#
##
## Set LD_LIBRARY_PATH
LD_LIBRARY_PATH=${MOZ_DIST_BIN}:/usr/sfw/lib:${MOZ_DIST_BIN}/plugins${LD_LIBRARY_PATH+":$LD_LIBRARY_PATH"}
if [ -n "$LD_LIBRARYN32_PATH" ]
then
       
LD_LIBRARYN32_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins${LD_LIBRARYN32_PATH+":$LD_LIBRARYN32_PATH"}
fi
if [ -n "$LD_LIBRARYN64_PATH" ]
then
       
LD_LIBRARYN64_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins${LD_LIBRARYN64_PATH+":$LD_LIBRARYN64_PATH"}
fi
if [ -n "$LD_LIBRARY_PATH_64" ]; then
       
LD_LIBRARY_PATH_64=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/plugins${LD_LIBRARY_PATH_64+":$LD_LIBRARY_PATH_64"}
fi
#
#
## Set SHLIB_PATH for HPUX
SHLIB_PATH=${MOZ_DIST_BIN}${SHLIB_PATH+":$SHLIB_PATH"}
#
## Set LIBPATH for AIX
LIBPATH=${MOZ_DIST_BIN}${LIBPATH+":$LIBPATH"}
#
## Set DYLD_LIBRARY_PATH for Mac OS X (Darwin)
DYLD_LIBRARY_PATH=${MOZ_DIST_BIN}${DYLD_LIBRARY_PATH+":$DYLD_LIBRARY_PATH"}
#
## Set LIBRARY_PATH for BeOS
LIBRARY_PATH=${MOZ_DIST_BIN}:${MOZ_DIST_BIN}/components${LIBRARY_PATH+":$LIBRARY_PATH"}
#
## Set ADDON_PATH for BeOS
ADDON_PATH=${MOZ_DIST_BIN}${ADDON_PATH+":$ADDON_PATH"}
#
## Solaris Xserver(Xsun) tuning - use shared memory transport if available
if [ "$XSUNTRANSPORT" = "" ]
then 
        XSUNTRANSPORT="shmem" 
        XSUNSMESIZE="64"
        export XSUNTRANSPORT XSUNSMESIZE
fi
# Font path for Xft
FONTCONFIG_PATH="/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
export FONTCONFIG_PATH

if [ "$moz_debug" -eq 1 ]
then
  echo "MOZILLA_FIVE_HOME=$MOZILLA_FIVE_HOME"
  echo "  LD_LIBRARY_PATH=$LD_LIBRARY_PATH"
  if [ -n "$LD_LIBRARYN32_PATH" ]
  then
        echo "LD_LIBRARYN32_PATH=$LD_LIBRARYN32_PATH"
  fi
  if [ -n "$LD_LIBRARYN64_PATH" ]
  then
        echo "LD_LIBRARYN64_PATH=$LD_LIBRARYN64_PATH"
  fi
  if [ -n "$LD_LIBRARY_PATH_64" ]; then
        echo "LD_LIBRARY_PATH_64=$LD_LIBRARY_PATH_64"
  fi
  if [ -n "$FONTCONFIG_PATH" ]; then
        echo "FONTCONFIG_PATH=$FONTCONFIG_PATH"
  fi
  echo "DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH"
  echo "     LIBRARY_PATH=$LIBRARY_PATH"
  echo "       SHLIB_PATH=$SHLIB_PATH"
  echo "          LIBPATH=$LIBPATH"
  echo "       ADDON_PATH=$ADDON_PATH"
  echo "      MOZ_PROGRAM=$MOZ_PROGRAM"
  echo "      MOZ_TOOLKIT=$MOZ_TOOLKIT"
  echo "        moz_debug=$moz_debug"
  echo "     moz_debugger=$moz_debugger"
fi
#
export MOZILLA_FIVE_HOME LD_LIBRARY_PATH
export SHLIB_PATH LIBPATH LIBRARY_PATH ADDON_PATH DYLD_LIBRARY_PATH

if [ $moz_debug -eq 1 ]
then
        moz_debug_program ${1+"$@"}
else
        moz_run_program ${1+"$@"}
fi

exit $exitcode

Comment 7

16 years ago
I have no clue why my name is listed under cc. It looks a pure Solaris bug and I
an no Solaris expert at all.
(Reporter)

Comment 8

16 years ago
I was advised to use the "mozilla" script to start mozilla rather than the
run-mozilla-sh or mozilla-bin.

Today, I quit mozilla and got a seg fault.  Now when I start mozilla using
the mozilla script or mozilla-bin I get a seg fault.

If I run mozilla-bin -g it starts up succesfully.  If I remove my .mozilla
folder, Mozilla starts correctly with "profile migration" prompts.

A core file is available.

Final page of truss output looks like this:


/1:     open("./libsocket.so.1", O_RDONLY)              Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libsocket.so.1", O_RDONLY) Err#2
ENOENT
/1:     open("/usr/dt/lib/libsocket.so.1", O_RDONLY)    Err#2 ENOENT
/1:     open("/usr/openwin/lib/libsocket.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/lib/libsocket.so.1", O_RDONLY)       = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libm.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/usr/sfw/lib/libm.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("./plugins/libm.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("./libm.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libm.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/dt/lib/libm.so.1", O_RDONLY)         Err#2 ENOENT
/1:     open("/usr/openwin/lib/libm.so.1", O_RDONLY)    Err#2 ENOENT
/1:     open("/usr/lib/libm.so.1", O_RDONLY)            = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libpthread.so.1", O_RDONLY)             Err#2 ENOENT
/1:     open("/usr/sfw/lib/libpthread.so.1", O_RDONLY)  Err#2 ENOENT
/1:     open("./plugins/libpthread.so.1", O_RDONLY)     Err#2 ENOENT
/1:     open("./libpthread.so.1", O_RDONLY)             Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libpthread.so.1", O_RDONLY) Err#2
ENOENT
/1:     open("/usr/dt/lib/libpthread.so.1", O_RDONLY)   Err#2 ENOENT
/1:     open("/usr/openwin/lib/libpthread.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/lib/libpthread.so.1", O_RDONLY)      = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/usr/sfw/lib/libc.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/dt/lib/libc.so.1", O_RDONLY)         Err#2 ENOENT
/1:     open("/usr/openwin/lib/libc.so.1", O_RDONLY)    Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     mprotect(0xFD1B0000, 12183, PROT_READ|PROT_WRITE|PROT_EXEC) = 0
/1:     mprotect(0xFD1B0000, 12183, PROT_READ|PROT_EXEC) = 0
/1:     munmap(0xFDA30000, 8192)                        = 0
/1:         Incurred fault #6, FLTBOUNDS  %pc = 0xFEEC7F50
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0x00000020
/1:         Received signal #11, SIGSEGV [default]
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0x00000020

Comment 9

16 years ago
Jim:

Your last email says that you can invoke mozilla-bin -g without any problem.  It
implies that you have set up your environment to be able to run mozilla-bin
independently.  What's your LD_LIBRARY_PATH set to before you run
mozilla/mozilla-bin/run-mozilla.sh?  I am not referring to what you have changed
in the script, I am referring to your environment setup on the terminal.  The
reason I ask this is that I have seen weird outcome with various LD_LIBRARY_PATH
setting before.  

BTW, FYI, by default, Solaris 9 has gtk/glib in /usr/sfw/lib.  There is no need
to download any packages to get that.  Your downloaded version has already
overwritten the original package as far as I understand, but that should not be
the cause of the problem, I believe.

Comment 10

16 years ago
By the way, Jim, I am using a M0.99 downloaded mozilla running on a Solaris 9
s9_58shwpl1 SPARC to update this bug.  So far, I have not seen any crash yet.
The way I run it is as follows:

setenv LD_LIBRARY_PATH /usr/sfw/lib
./mozilla 

Comment 11

16 years ago
I can not reproduce this crash on my sparc.
my solaris version is solaris 9.
in fact, I never meet such a crash when I begin to hack mozilla.
can you tell me your mozilla's version?

(Assignee)

Comment 12

16 years ago
Hi, Jim,
  Try as followings and see if you still encounter segment fault or core dump.
  1. unset MOZILLA_FIVE_HOME enviroment variable or set it to (mozilla)/dist/bin
  2. Use mozilla instead of run-mozilla.sh as Margaret suggested
  3. setenv LD_LIBRARY_PATH /usr/sfw/lib or
     setenv LD_LIBRARY_PATH
/usr/sfw/lib:.:(mozilla)/dist/lib:(mozilla)/dist/bin:(mozilla)/dist/bin/components
  Give out the LD_LIBRARY_PATH enviroment variable when you still encounter
segment fault or core dump.
  Note: (mozilla)/dist/bin means the directory that mozilla, mozilla-bin, etc exists
  Good luck.
Henry
(Reporter)

Comment 13

16 years ago
I attempted to reproduce the problem and ran into this glitch which I have not
seen before:

Steps attempted today (4/18)

Remove current mozilla installation and .mozilla preferences directory.

Download and untar today's latest build (4/18)

Per previous instructions:

laurent% unset MOZILLA_FIVE_HOME
laurent% setenv LD_LIBRARY_PATH /usr/sfw/lib
laurent% ./mozilla

Mozilla starts and I choose "Manage Profiles" rather than convert profile.

Click "Create Profile"

Mozilla presents me with a blank dialog box titled, "create profile."

Clicking on the "Next" button highlights it but does nothing.

Clicking on "Finish" button highlights it but does nothing.

Starting Mozilla and converting my existing Netscape profile does allow Mozilla
to start up.

Exited Mozilla after checking mail and web site connectivity.

Started mozilla again using the mozilla script.
./mozilla
Segmentation Fault - core dumped

laurent% adb core
core file = core -- program ``/export/home/jlaurent/mozilla/mozilla-bin
'' on platform SUNW,Ultra-5_10
SIGSEGV: Segmentation Fault

the mozilla shell script calls the run-mozilla.sh.  By adding truss to that file
I get (once again) a final truss page of:

/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libsocket.so.1", O_RDONLY)              Err#2 ENOENT
/1:     open("./plugins/libsocket.so.1", O_RDONLY)      Err#2 ENOENT
/1:     open("/usr/sfw/lib/libsocket.so.1", O_RDONLY)   Err#2 ENOENT
/1:     open("/usr/lib/libsocket.so.1", O_RDONLY)       = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libm.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("./plugins/libm.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/sfw/lib/libm.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("/usr/lib/libm.so.1", O_RDONLY)            = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libpthread.so.1", O_RDONLY)             Err#2 ENOENT
/1:     open("./plugins/libpthread.so.1", O_RDONLY)     Err#2 ENOENT
/1:     open("/usr/sfw/lib/libpthread.so.1", O_RDONLY)  Err#2 ENOENT
/1:     open("/usr/lib/libpthread.so.1", O_RDONLY)      = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/sfw/lib/libc.so.1", O_RDONLY)        Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 17
/1:     fstat(17, 0xFFBFCE6C)                           = 0
/1:     close(17)                                       = 0
/1:     mprotect(0xFD160000, 12183, PROT_READ|PROT_WRITE|PROT_EXEC) = 0
/1:     mprotect(0xFD160000, 12183, PROT_READ|PROT_EXEC) = 0
/1:     munmap(0xFD8F0000, 8192)                        = 0
/1:         Incurred fault #6, FLTBOUNDS  %pc = 0xFEEC7F50
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0x00000020
/1:         Received signal #11, SIGSEGV [default]
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0x00000020

Here is my current environment:

laurent% env        
DTDATABASESEARCHPATH=/home/jlaurent/.dt/types,/etc/dt/appconfig/types/%L,/etc/dt/appconfig/types/C,/usr/dist/pkgs/cue/menus/std/cde/actions/types/%L,/usr/dist/pkgs/cue/menus/std/cde/actions/types/C,/usr/dt/appconfig/types/%L,/usr/dt/appconfig/types/C
DTXSERVERLOCATION=local
LANG=C
HELPPATH=/usr/openwin/lib/locale:/usr/openwin/lib/help
DTSOURCEPROFILE=true
PATH=/home/jlaurent/bin:/home/jlaurent/local/bin:/home/jlaurent/tik:/opt/RICHPse/bin:/opt/SUNWdat/bin:/opt/SUNWsymon/bin:/usr/dist/exe:/home/jlaurent/bin:/usr/dt/bin:/usr/openwin/bin:/usr/bin:/usr/sbin:/sbin:/usr/ucb:/usr/dist/local/exe:/usr/dist/exe:/usr/lib/lp/postscript:.:/opt/sfw/bin
AB_CARDCATALOG=/net/eastanswer/answerbook/SUNWabhome/ab_cardcatalog
DTUSERSESSION=jlaurent-laurent-0
XMICONBMSEARCHPATH=/home/jlaurent/.dt/icons/%B%M.bm:/home/jlaurent/.dt/icons/%B%M.pm:/home/jlaurent/.dt/icons/%B:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/%L/%B%M.bm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/%L/%B%M.pm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/%L/%B:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/C/%B%M.bm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/C/%B%M.pm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/C/%B:/usr/dt/appconfig/icons/%L/%B%M.bm:/usr/dt/appconfig/icons/%L/%B%M.pm:/usr/dt/appconfig/icons/%L/%B:/usr/dt/appconfig/icons/C/%B%M.bm:/usr/dt/appconfig/icons/C/%B%M.pm:/usr/dt/appconfig/icons/C/%B
DTDEVROOT=
SESSION_SVR=laurent
OPENWINHOME=/usr/openwin
EDITOR=vi
LOGNAME=jlaurent
DTSCREENSAVERLIST=StartDtscreenSwarm StartDtscreenQix     StartDtscreenFlame
StartDtscreenHop StartDtscreenImage StartDtscreenLife     StartDtscreenRotor
StartDtscreenPyro StartDtscreenWorm StartDtscreenBlank
MAIL=/var/mail/jlaurent
CUE=/usr/dist/pkgs/cue
USER=jlaurent
DISPLAY=:0.0
SHELL=/bin/csh
FROM_CUE=1
DTAPPSEARCHPATH=/home/jlaurent/.dt/appmanager:/etc/dt/appconfig/appmanager/%L:/etc/dt/appconfig/appmanager/C:/usr/dist/pkgs/cue/menus/std/cde/actions/appmanager/%L:/usr/dist/pkgs/cue/menus/std/cde/actions/appmanager/C:/usr/dt/appconfig/appmanager/%L:/usr/dt/appconfig/appmanager/C
HOME=/home/jlaurent
XFILESEARCHPATH=/usr/openwin/lib/locale/%L/%T/%N%S:/usr/openwin/lib/%T/%N%S:/usr/dist/local/lib/%T/%N%S
XMICONSEARCHPATH=/home/jlaurent/.dt/icons/%B%M.pm:/home/jlaurent/.dt/icons/%B%M.bm:/home/jlaurent/.dt/icons/%B:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/%L/%B%M.pm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/%L/%B%M.bm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/%L/%B:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/C/%B%M.pm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/C/%B%M.bm:/usr/dist/pkgs/cue/menus/std/cde/actions/icons/C/%B:/usr/dt/appconfig/icons/%L/%B%M.pm:/usr/dt/appconfig/icons/%L/%B%M.bm:/usr/dt/appconfig/icons/%L/%B:/usr/dt/appconfig/icons/C/%B%M.pm:/usr/dt/appconfig/icons/C/%B%M.bm:/usr/dt/appconfig/icons/C/%B
DTSPSYSAPPHOSTS=/usr/dist/pkgs/cue/menus/site/cde/actions,/usr/dist/pkgs/cue/menus/std/cde/actions
TERM=dtterm
dtstart_sessionlogfile=/dev/console
TZ=US/Eastern
DTHELPSEARCHPATH=/home/jlaurent/.dt/help/jlaurent-laurent-0/%H:/home/jlaurent/.dt/help/jlaurent-laurent-0/%H.sdl:/home/jlaurent/.dt/help/jlaurent-laurent-0/%H.hv:/home/jlaurent/.dt/help/%H:/home/jlaurent/.dt/help/%H.sdl:/home/jlaurent/.dt/help/%H.hv:/usr/dt/appconfig/help/%L/%H:/usr/dt/appconfig/help/%L/%H.sdl:/usr/dt/appconfig/help/%L/%H.hv:/usr/dt/appconfig/help/C/%H:/usr/dt/appconfig/help/C/%H.sdl:/usr/dt/appconfig/help/C/%H.hv
XMBINDDIR=/usr/dt/lib/bindings
CUE_VERSION=2.1.6
CUE_USERLEVEL=advanced
CUE_HOSTNAME=laurent
DOMAIN=sundc.East.Sun.COM
DOMAIN_COUNT=1
FM_PROGNAME=maker
MOZILLA_HOME=/home/jlaurent/bin
LD_LIBRARY_PATH=/usr/sfw/lib
vncClasses=/home/jlaurent/bin/vnc/classes
CUE_OSNAME=SunOS
CUE_OSVERSION=5.9
CUE_OSMAJVERSION=5
CUE_ARCHTYPE=sparc
CUE_NETLINK=1
NPHOME=/usr/dist/pkgs/newsprint
PATH_EXCLUDE=.
ISOFAXHOME=/usr/dist/pkgs/isofax/solaris
CUE_SEMANTICS=POSIX
LPDEST=lex4
PRINTER=lex4
AB2_DEFAULTSERVER=http://docs.sun.com/
MANPATH=/usr/dt/man:/usr/man:/usr/openwin/share/man:/usr/man:/usr/openwin/share/man:/usr/dt/man:/usr/dist/local/man/5.9
OLWMMENU=/usr/dist/pkgs/cue/menus/std/ol/Default-Menu
XINITRC=/usr/dist/pkgs/cue/env/std/Xinitrc
TTYDEV=/dev/pts/3
WINDOWID=17301515
TERMINAL_EMULATOR=dtterm
PWD=/export/home/jlaurent/mozilla


Comment 14

16 years ago
Hi Jim:

If you had a core, could you post out the stack trace instead of the truss
output?  That would be very helpful.  Besides, I wonder if you can give us
access to your machine.  Perhaps I can log on over there and run it myself to
see if I can see anything.  Alternatively, you can send me the core file if you
would like to.  Or simply place it somewhere where I can access it.  I agree
with you that a software should never seg fault.  However, realistically,
mozilla is a big piece of software that it is indeed not an easy task to have
every single scenario in all environments being covered/considered without
missing anything.  
(Reporter)

Comment 15

16 years ago
Information for remote login and core file location provided privately.

Comment 16

16 years ago
   After analysing the truss information of core dump file, I think it could
caused by plugin.
   jim: Could you try it deleteing all the plugin especially java plugin.
   If you meet core dump too, please give informantion of socket on you machine.
   you can run the command " netstat -a" and copy the information on the bugzilla.

   Because plugin use socketpair to communicat with browser main process, so if
other application used socketpair conflicting to mozilla. The browser will core
dump, I had meet the samiliar event on my sparc.

Thanks
(Reporter)

Comment 17

16 years ago
As this was a fresh install of mozilla.  The only plugin is the default.  I have
added no other plugins.

laurent% ls -l plug*
total 40
-rwxrwxrwx   1 jlaurent wdcofc     20232 Apr 18 05:12 libnullplugin.so

Here is netstat -a on my host.

laurent% netstat -a

UDP: IPv4
   Local Address         Remote Address     State
-------------------- -------------------- -------
      *.sunrpc                              Idle
      *.*                                   Unbound
      *.32772                               Idle
      *.32774                               Idle
      *.time                                Idle
      *.echo                                Idle
      *.discard                             Idle
      *.daytime                             Idle
      *.chargen                             Idle
      *.32779                               Idle
      *.32781                               Idle
      *.32787                               Idle
      *.biff                                Idle
      *.talk                                Idle
      *.32792                               Idle
      *.32795                               Idle
      *.32801                               Idle
      *.32804                               Idle
      *.name                                Idle
      *.32810                               Idle
      *.*                                   Unbound
      *.32812                               Idle
      *.32813                               Idle
      *.lockd                               Idle
      *.syslog                              Idle
      *.32815                               Idle
      *.32816                               Idle
      *.*                                   Unbound
      *.32819                               Idle
      *.*                                   Unbound
      *.32820                               Idle
      *.ntp                                 Idle
localhost.ntp                               Idle
laurent.ntp                                 Idle
      *.ntp                                 Idle
      *.ntp                                 Idle
      *.snmp                                Idle
      *.32826                               Idle
      *.32827                               Idle
      *.32825                               Idle
      *.*                                   Unbound
      *.32829                               Idle
      *.32830                               Idle
      *.32831                               Idle
      *.32836                               Idle
      *.177                                 Idle
      *.*                                   Unbound
      *.*                                   Unbound
      *.*                                   Unbound
      *.33270                               Idle
      *.33311                               Idle
      *.33314                               Idle
      *.33333                               Idle
      *.33336                               Idle
      *.33347                               Idle
      *.33380                               Idle
      *.33690                               Idle
      *.36141                               Idle
      *.37243                               Idle
      *.37461                               Idle
      *.37467                               Idle
      *.37470                               Idle
      *.*                                   Unbound

UDP: IPv6
   Local Address                     Remote Address                   State    
 If  
--------------------------------- --------------------------------- ---------- -----
      *.time                                                        Idle      
      *.echo                                                        Idle      
      *.discard                                                     Idle      
      *.daytime                                                     Idle      
      *.chargen                                                     Idle      

TCP: IPv4
   Local Address        Remote Address    Swind Send-Q Rwind Recv-Q  State
-------------------- -------------------- ----- ------ ----- ------ -------
      *.*                  *.*                0      0 49152      0 IDLE
      *.sunrpc             *.*                0      0 49152      0 LISTEN
      *.*                  *.*                0      0 49152      0 IDLE
      *.32771              *.*                0      0 49152      0 LISTEN
      *.time               *.*                0      0 49152      0 LISTEN
      *.echo               *.*                0      0 49152      0 LISTEN
      *.discard            *.*                0      0 49152      0 LISTEN
      *.daytime            *.*                0      0 49152      0 LISTEN
      *.chargen            *.*                0      0 49152      0 LISTEN
      *.32774              *.*                0      0 49152      0 LISTEN
      *.32776              *.*                0      0 49152      0 LISTEN
      *.fs                 *.*                0      0 49152      0 LISTEN
      *.dtspc              *.*                0      0 49152      0 LISTEN
      *.32781              *.*                0      0 49152      0 LISTEN
      *.32783              *.*                0      0 49152      0 LISTEN
      *.32785              *.*                0      0 49152      0 LISTEN
      *.printer            *.*                0      0 49152      0 LISTEN
      *.shell              *.*                0      0 49152      0 LISTEN
      *.shell              *.*                0      0 49152      0 LISTEN
      *.login              *.*                0      0 49152      0 LISTEN
      *.exec               *.*                0      0 49152      0 LISTEN
      *.exec               *.*                0      0 49152      0 LISTEN
      *.finger             *.*                0      0 49152      0 LISTEN
      *.32791              *.*                0      0 49152      0 LISTEN
      *.telnet             *.*                0      0 49152      0 LISTEN
      *.ftp                *.*                0      0 49152      0 LISTEN
      *.whatamitool        *.*                0      0 49152      0 LISTEN
      *.32803              *.*                0      0 49152      0 LISTEN
      *.lockd              *.*                0      0 49152      0 LISTEN
      *.smtp               *.*                0      0 49152      0 LISTEN
      *.smtp               *.*                0      0 49152      0 LISTEN
      *.submission         *.*                0      0 49152      0 LISTEN
      *.*                  *.*                0      0 49152      0 IDLE
      *.32806              *.*                0      0 49152      0 LISTEN
      *.32807              *.*                0      0 49152      0 LISTEN
      *.32808              *.*                0      0 49152      0 LISTEN
      *.ssh                *.*                0      0 49152      0 LISTEN
laurent.1023         starsky.nfsd          8760      0 49640      0 ESTABLISHED
laurent.1022         hutch-14.nfsd         8760      0 49640      0 ESTABLISHED
      *.*                  *.*                0      0 49152      0 IDLE
      *.1019               *.*                0      0 49152      0 BOUND
      *.6000               *.*                0      0 49152      0 LISTEN
      *.34452              *.*                0      0 49152      0 LISTEN
laurent.34453        starsky.32793         8760      0 49640      0 ESTABLISHED
localhost.34455      localhost.32774      49152      0 49152      0 ESTABLISHED
localhost.32774      localhost.34455      49152      0 49152      0 ESTABLISHED
localhost.34458      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.34458      49152      0 49152      0 ESTABLISHED
localhost.34461      localhost.34460      49152      0 49152      0 ESTABLISHED
localhost.34460      localhost.34461      49152      0 49152      0 ESTABLISHED
localhost.34518      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.34518      49152      0 49152      0 ESTABLISHED
localhost.34521      localhost.34520      49152      0 49152      0 ESTABLISHED
localhost.34520      localhost.34521      49152      0 49152      0 ESTABLISHED
localhost.34537      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.34537      49152      0 49152      0 ESTABLISHED
localhost.34540      localhost.34539      49152      0 49152      0 ESTABLISHED
localhost.34539      localhost.34540      49152      0 49152      0 ESTABLISHED
localhost.34543      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.34543      49152      0 49152      0 ESTABLISHED
localhost.34546      localhost.34545      49152      0 49152      0 ESTABLISHED
localhost.34545      localhost.34546      49152      0 49152      0 ESTABLISHED
localhost.34576      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.34576      49152      0 49152      0 ESTABLISHED
localhost.34579      localhost.34578      49151      0 49152      0 ESTABLISHED
localhost.34578      localhost.34579      49152      0 49152      0 ESTABLISHED
localhost.34582      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.34582      49152      0 49152      0 ESTABLISHED
localhost.34585      localhost.34584      49152      0 49152      0 ESTABLISHED
localhost.34584      localhost.34585      49152      0 49152      0 ESTABLISHED
      *.992                *.*                0      0 49152      0 BOUND
laurent.41285        starsky.65084         8760      0 49640      0 ESTABLISHED
laurent.47589        whisper.Eng.Sun.COM.9909 24820      0 48792      0 ESTABLISHED
localhost.47613      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.47613      49152      0 49152      0 ESTABLISHED
localhost.47616      localhost.47615      49152      0 49152      0 ESTABLISHED
localhost.47615      localhost.47616      49152      0 49152      0 ESTABLISHED
laurent.48009        starsky.imap          8760      0 48861      0 CLOSE_WAIT
      *.48082              *.*                0      0 49152      0 BOUND
      *.898                *.*                0      0 49152      0 LISTEN
      *.5987               *.*                0      0 49152      0 LISTEN
      *.48085              *.*                0      0 49152      0 LISTEN
      *.5988               *.*                0      0 49152      0 LISTEN
laurent.49265        laurent.32781        49152      0 49152      0 ESTABLISHED
laurent.32781        laurent.49265        49152      0 49152      0 ESTABLISHED
localhost.50045      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.50045      49152      0 49152      0 ESTABLISHED
localhost.50048      localhost.50047      49152      0 49152      0 ESTABLISHED
localhost.50047      localhost.50048      49152      0 49152      0 ESTABLISHED
localhost.50057      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.50057      49152      0 49152      0 ESTABLISHED
localhost.50060      localhost.50059      49152      0 49152      0 ESTABLISHED
localhost.50059      localhost.50060      49152      0 49152      0 ESTABLISHED
laurent.50068        starsky.imap          8760      0 49522      0 CLOSE_WAIT
localhost.50871      localhost.34452      49152      0 49152      0 ESTABLISHED
localhost.34452      localhost.50871      49152      0 49152      0 ESTABLISHED
localhost.50874      localhost.50873      49152      0 49152      0 ESTABLISHED
localhost.50873      localhost.50874      49152      0 49152      0 ESTABLISHED
laurent.50891        wcpal01a.Corp.Sun.COM.8080 64240      0 49058      0 CLOSE_WAIT
laurent.50892        wcpal01a.Corp.Sun.COM.8080 64240      0 48530      0 CLOSE_WAIT
laurent.telnet       vpn-129-147-152-138.Central.Sun.COM.49152 66608      1
50098      0 ESTABLISHED
      *.*                  *.*                0      0 49152      0 IDLE

TCP: IPv6
   Local Address                     Remote Address                 Swind Send-Q
Rwind Recv-Q   State      If 
--------------------------------- --------------------------------- ----- ------
----- ------ ----------- -----
      *.*                               *.*                             0      0
49152      0 IDLE             
      *.time                            *.*                             0      0
49152      0 LISTEN           
      *.echo                            *.*                             0      0
49152      0 LISTEN           
      *.discard                         *.*                             0      0
49152      0 LISTEN           
      *.daytime                         *.*                             0      0
49152      0 LISTEN           
      *.chargen                         *.*                             0      0
49152      0 LISTEN           
      *.printer                         *.*                             0      0
49152      0 LISTEN           
      *.shell                           *.*                             0      0
49152      0 LISTEN           
      *.login                           *.*                             0      0
49152      0 LISTEN           
      *.exec                            *.*                             0      0
49152      0 LISTEN           
      *.finger                          *.*                             0      0
49152      0 LISTEN           
      *.telnet                          *.*                             0      0
49152      0 LISTEN           
      *.ftp                             *.*                             0      0
49152      0 LISTEN           
      *.smtp                            *.*                             0      0
49152      0 LISTEN           
      *.ssh                             *.*                             0      0
49152      0 LISTEN           
      *.6000                            *.*                             0      0
49152      0 LISTEN           

Active UNIX domain sockets
Address  Type          Vnode     Conn  Local Addr      Remote Addr
300011d28f0 stream-ord 3000108f0c8 00000000 /var/run/smc898/cmdsock                
300011d3ac0 stream-ord 00000000 00000000                               
300011d3c88 stream-ord 300010bedd0 00000000 /tmp/.X11-unix/X0     
(Reporter)

Comment 18

16 years ago
Mozilla also seg faults if run using mozilla-bin but NOT if run as mozilla-bin
-g .

What does the -g option do?  I don't see any kind of debug output.  Does -g
affect performance at all?  Can I run with -g all the time?

Comment 19

16 years ago
Below is the stack trace from the core file using Jim's installation on Jim's
Solaris 9 machine:

(gdb) where
#0  0xfeec7f50 in gdk_gc_new_with_values () from /usr/sfw/lib/libgdk-1.2.so.0
#1  0xfe31d4a8 in ?? ()
   from /export/home/jlaurent/mozilla/components/libgfx_gtk.so
#2  0xfe311738 in nsImageGTK::UpdateCachedImage ()
   from /export/home/jlaurent/mozilla/components/libgfx_gtk.so
#3  0xfe313acc in nsImageGTK::Optimize ()
   from /export/home/jlaurent/mozilla/components/libgfx_gtk.so
#4  0xfd262060 in gfxImageFrame::SetMutable ()
   from /export/home/jlaurent/mozilla/components/libgfx2.so
#5  0xfdaca0c8 in imgContainer::DecodingComplete ()
   from /export/home/jlaurent/mozilla/components/libimglib2.so
#6  0xfd2837b4 in nsGIFDecoder2::WriteFrom ()
   from /export/home/jlaurent/mozilla/components/libimggif.so
#7  0xfd282c50 in gif_write ()
   from /export/home/jlaurent/mozilla/components/libimggif.so
#8  0xfd2835dc in nsGIFDecoder2::ProcessData ()
   from /export/home/jlaurent/mozilla/components/libimggif.so
#9  0xfd283414 in nsGIFDecoder2::Flush ()
   from /export/home/jlaurent/mozilla/components/libimggif.so
#10 0xff19ca1c in nsPipe::nsPipeInputStream::ReadSegments ()
   from /export/home/jlaurent/mozilla/./libxpcom.so
#11 0xfd283678 in nsGIFDecoder2::WriteFrom ()
   from /export/home/jlaurent/mozilla/components/libimggif.so
#12 0xfdacf5d8 in imgRequest::OnDataAvailable ()
   from /export/home/jlaurent/mozilla/components/libimglib2.so
#13 0xfdacd124 in ProxyListener::OnDataAvailable ()
---Type <return> to continue, or q <return> to quit--- 
   from /export/home/jlaurent/mozilla/components/libimglib2.so
#14 0xfe846040 in nsJARChannel::OnDataAvailable ()
   from /export/home/jlaurent/mozilla/components/libnecko.so
#15 0xfe7ff004 in nsOnDataAvailableEvent::HandleEvent ()
   from /export/home/jlaurent/mozilla/components/libnecko.so
#16 0xfe7ecfe4 in nsARequestObserverEvent::HandlePLEvent ()
   from /export/home/jlaurent/mozilla/components/libnecko.so
#17 0xff1b506c in PL_HandleEvent ()
   from /export/home/jlaurent/mozilla/./libxpcom.so
#18 0xff1b5484 in PL_ProcessEventsBeforeID ()
   from /export/home/jlaurent/mozilla/./libxpcom.so
#19 0xfe6e0348 in processQueue ()
   from /export/home/jlaurent/mozilla/components/libwidget_gtk.so
#20 0xff181460 in nsVoidArray::EnumerateForwards ()
   from /export/home/jlaurent/mozilla/./libxpcom.so
#21 0xfe6e038c in nsAppShell::ProcessBeforeID ()
   from /export/home/jlaurent/mozilla/components/libwidget_gtk.so
#22 0xfe6e77b0 in handle_gdk_event ()
   from /export/home/jlaurent/mozilla/components/libwidget_gtk.so
#23 0xfeec6bcc in gdk_event_dispatch () from /usr/sfw/lib/libgdk-1.2.so.0
#24 0xfee76e28 in g_main_dispatch () from /usr/sfw/lib/libglib-1.2.so.0
#25 0xfee7763c in g_main_iterate () from /usr/sfw/lib/libglib-1.2.so.0
#26 0xfee77878 in g_main_run () from /usr/sfw/lib/libglib-1.2.so.0
#27 0xfef8ff38 in gtk_main () from /usr/sfw/lib/libgtk-1.2.so.0
#28 0xfe6e0024 in nsAppShell::Run ()
   from /export/home/jlaurent/mozilla/components/libwidget_gtk.so
---Type <return> to continue, or q <return> to quit---
#29 0xfe74e968 in nsAppShellService::Run ()
   from /export/home/jlaurent/mozilla/components/libnsappshell.so
#30 0x19580 in getCountry ()
#31 0x19f4c in main ()
(gdb) 

From the above stack trace, the problem appears to be in the gtk library. 
Earlier I thought that the libraries being installed were good, but after seeing
this stack trace, I had doubt on that.  Jim:  You might have installed an older
version of the gtk/glib libraries which was causing you this problem.      It's
worth the try to remove these packages & go back to your Solaris 9 install
server to grab the libraries for re-installation once again:

SUNWgcmn, SUNWGlib, SUNWGtkr, SUNWGtku

-- Margaret
(Reporter)

Comment 20

16 years ago
I removed the 4 recommended packages and re-installed them from my Solaris 9
beta refresh CD (short of re-installing my whole system this was my only option.)

Currently installed versions are:
GTK - The GIMP Toolkit (Usr)
(sparc) 11.9.0,REV=2001.10.18.00.44
GTK - The GIMP Toolkit (Root)
(sparc) 11.9.0,REV=2001.10.18.00.44
GLIB - Library of useful routines for C programming
(sparc) 11.9.0,REV=2001.10.18.00.44
gcmn - Common GNU package
(sparc) 11.9.0,REV=2001.10.18.00.44


Mozilla started up once using the 'mozilla' script.  Quitting and restarting it
resulted in core dump.  A new core file is available with permissions for reading.

Starting mozilla with mozilla-bin -g still works fine.

Comment 21

16 years ago
Hi Jim:

I don't think it will work.  You have a Solaris 9 s9_58shwpl1 SPARC system
according to your previous email and your existing /etc/release file; and yet
you said that:

> removed the 4 recommended packages and re-installed them from my Solaris 9
> beta refresh CD (short of re-installing my whole system this was my only 
> option.)

It would mean that you're installing beta refresh libraries on a build 58
machine.  As far as I know, the said libraries had made changes and deliveries
up to at least build 57/58.  By doing the above, you will not benefit at all. 
Are you saying that you cannot get the packages from your original install
server any more?  

The following is extracted from one of our test machines.  We happen to have
such a configuration here:

% pkginfo -l SUNWGtkr
   PKGINST:  SUNWGtkr
      NAME:  GTK - The GIMP Toolkit (Root)
  CATEGORY:  system
      ARCH:  sparc
   VERSION:  11.9.0,REV=2002.03.02.00.35
   BASEDIR:  /
    VENDOR:  Sun Microsystems, Inc.
      DESC:  GTK - The GIMP Toolkit (Root)
    PSTAMP:  sfw8120020302003551
  INSTDATE:  Apr 15 2002 12:35
   HOTLINE:  Please contact your local service provider
    STATUS:  completely installed
     FILES:       53 installed pathnames
                   1 shared pathnames
                   2 directories
                  31 blocks used (approx)

This is the output of "pkginfo -l SUNWGtkr", one of the package which needs to
be replaced.  If you get this version, that would be right.  

To answer another question from you, I do not know what mozilla-bin -g will do
for you.  I am unaware that mozilla-bin has a "-g" option.

Anyway, An attempt trying to check on your latest core file failed due to
permission problem.


(Reporter)

Comment 22

16 years ago
Additional data point.

After attempting to make the java plugin work. mozilla-bin -g also seg faulted.

Here's what I did in the plugins directory.

/usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so libjavaplugin_oji.so
laurent% cd ..
laurent% ./regxpcom

Removing the link allowed mozilla-bin -g to startup successfully.
(Assignee)

Comment 23

16 years ago
Hi, Jim,
    Can you stop all your applications in your machine and run mozilla again to
see if it still exists. Jack ever found mozilla uses some conflict socket pairs
with some applications, such as workshop, on solaris 9 build 51.
Henry
(Assignee)

Comment 24

16 years ago
Jim, another thing, what is the address of your mozilla first load? And what is
the settings of the preferences 'Navigator -> When Navigator starts up,
display', 'Blank Page', 'Home Page' or 'Last page visited'?

Thanks

Comment 25

16 years ago
I remind you to link symbolic link in components directory 
(not plugins directory):

cd components
ln -s /usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so libjavaplugin_oji.so

Then try it again

Comment 26

16 years ago
Hi Jim:

Again from your second core file, it dumps core at the gtk libary as well.  The
stack signature is the same:

(gdb) where
#0  0xfeec7d64 in gdk_gc_new_with_values () from /usr/sfw/lib/libgdk-1.2.so.0
#1  0xfe2ed4a8 in ?? ()
   from /export/home/jlaurent/mozilla/components/libgfx_gtk.so
#2  0xfe2e1738 in nsImageGTK::UpdateCachedImage ()
   from /export/home/jlaurent/mozilla/components/libgfx_gtk.so
#3  0xfe2e3acc in nsImageGTK::Optimize ()
   from /export/home/jlaurent/mozilla/components/libgfx_gtk.so
#4  0xfd172060 in gfxImageFrame::SetMutable ()
   from /export/home/jlaurent/mozilla/components/libgfx2.so
#5  0xfdaca0c8 in imgContainer::DecodingComplete ()
   from /export/home/jlaurent/mozilla/components/libimglib2.so

Would you check my comment #21 please?  I highly suggest you to pkgrm those 4
gtk/glib packages and pkgadd the correct ones.  We had known seg fault problems
with those libraries in older versions which they had fixed in either build 57
or 58.  It is important for you to get those newer versions in order for you to
run mozilla.  You do not have to re-install the whole OS, you simply needs to
locate those packages and do "pkgrm" the old and "pkgadd" the new.  Another
alternative is to build the libraries yourself.  That's being done by a lot of
mozilla developers.  You need to use a working gtk/glib libraries to exclude the
seg fault that's caused by that.  Without doing so, you tend to get same core
dumps again and again.  And I don't see any point investigating this problem any
further without the libraries being fixed.
(Reporter)

Comment 27

16 years ago
 OK, I got a new jumpstart of:

  Solaris 9 s9_58shwpl3 SPARC

Downloaded the latest mozilla build avail. as 2002042822.

Set Environment in run-mozilla.sh to add /usr/sfw/lib.

Run mozilla using the mozilla script:
laurent% ./mozilla&
[1] 3075
laurent% Segmentation Fault - core dumped

adb core.mozilla
core file = core.mozilla -- program ``/export/home/jlaurent/mozilla/mozilla-bin
'' on platform SUNW,Ultra-5_10
SIGSEGV: Segmentation Fault


Run mozilla using mozilla-bin -g succesfully.

There is a core file on my system as core.mozilla.  login and passwd sent
separately.

To answer question #24.  Navigator starts up in "Home Page" where home page is
set to sunweb.central
(Assignee)

Comment 28

15 years ago
Does this bug still exist?

Is the reason the incorrect gtk(gdk) version and setting?
(Reporter)

Comment 29

15 years ago
I haven't used Mozilla on Solaris for quite some time.  I'm now downloading the
latest build, removing my .mozilla folders and trying it again.  I'm testing it
on Solaris 9 FCS version.

Here is the version information.  It may take a a few days of steady usage to
create the error.


pkginfo -l SUNWGtkr SUNWGtku SUNWgtk+ SUNWgtken SUNWgtkht
   PKGINST:  SUNWGtkr
      NAME:  GTK - The GIMP Toolkit (Root)
  CATEGORY:  system
      ARCH:  sparc
   VERSION:  11.9.0,REV=2002.03.02.00.35
   BASEDIR:  /
    VENDOR:  Sun Microsystems, Inc.
      DESC:  GTK - The GIMP Toolkit (Root)
    PSTAMP:  sfw8120020302003551
  INSTDATE:  Apr 26 2002 17:30
   HOTLINE:  Please contact your local service provider
    STATUS:  completely installed
     FILES:       53 installed pathnames
                   1 shared pathnames
                   2 directories
                  31 blocks used (approx)

   PKGINST:  SUNWGtku
      NAME:  GTK - The GIMP Toolkit (Usr)
  CATEGORY:  system
      ARCH:  sparc
   VERSION:  11.9.0,REV=2002.03.02.00.35
   BASEDIR:  /
    VENDOR:  Sun Microsystems, Inc.
      DESC:  GTK - The GIMP Toolkit (Usr)
    PSTAMP:  sfw8120020302003558
  INSTDATE:  Apr 26 2002 17:30
   HOTLINE:  Please contact your local service provider
    STATUS:  completely installed
     FILES:      149 installed pathnames
                   8 shared pathnames
                  14 directories
                   5 executables
                4363 blocks used (approx)

   PKGINST:  SUNWgtk+
      NAME:  GNOME Toolkit Libraries
  CATEGORY:  GNOME2
      ARCH:  sparc
   VERSION:  2.1.0,REV=2002.06.09.19.10
   BASEDIR:  /opt
      DESC:  GNOME Toolkit Libraries
    PSTAMP:  gnome2-11062002
  INSTDATE:  Jun 27 2002 15:40
    STATUS:  completely installed
     FILES:      480 installed pathnames
                  15 shared pathnames
                  34 directories
                  53 executables
               14980 blocks used (approx)

   PKGINST:  SUNWgtken
      NAME:  Graphical Engines for Various GTK+ Toolkit Themes
  CATEGORY:  GNOME2
      ARCH:  sparc
   VERSION:  1.9.0,REV=2002.06.09.19.10
   BASEDIR:  /opt
      DESC:  Graphical Engines for Various GTK+ Toolkit Themes
    PSTAMP:  gnome2-09062002
  INSTDATE:  Jun 27 2002 15:57
    STATUS:  completely installed
     FILES:       23 installed pathnames
                   6 shared pathnames
                  11 directories
                   6 executables
                 201 blocks used (approx)

   PKGINST:  SUNWgtkht
      NAME:  Lightweight HTML Rendering/Printing/Editing Engine (GtkHTML2)
  CATEGORY:  GNOME2
      ARCH:  sparc
   VERSION:  1.99.8,REV=2002.06.09.19.10
   BASEDIR:  /opt
      DESC:  Lightweight HTML Rendering/Printing/Editing Engine (GtkHTML2)
    PSTAMP:  gnome2-09062002
  INSTDATE:  Jun 27 2002 15:52
    STATUS:  completely installed
     FILES:       93 installed pathnames
                   4 shared pathnames
                  19 directories
                   2 executables
                1445 blocks used (approx)
(Reporter)

Comment 30

15 years ago
Using build ID 2002073023

I have two different aborts to report with the latest build. These are both
reproducible.  Please advise as to proper way to enable java plugin. 

First case:

link libjava into components
   cd components
   ln -s /usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so
libjavaplugin_oji.so
   ./mozilla
Enter "about:plugins" in the location bar
Bus Error... See Truss output, core file available.

/1:     mmap(0xFCAB0000, 8192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 31,
0) = 0xFCAB0000
/1:     resolvepath("/usr/lib/libw.so.1", "/usr/lib/libw.so.1", 1023) = 18
/1:     close(31)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/local/lib/mre/mre-1.1b/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/dt/lib/libc.so.1", O_RDONLY)         Err#2 ENOENT
/1:     open("/usr/openwin/lib/libc.so.1", O_RDONLY)    Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 31
/1:     fstat(31, 0xFFBFB5B4)                           = 0
/1:     close(31)                                       = 0
/1:         Incurred fault #5, FLTACCESS  %pc = 0xFF1B31F0
/1:           siginfo: SIGBUS BUS_ADRALN addr=0x622011D2
/1:         Received signal #10, SIGBUS [default]
/1:           siginfo: SIGBUS BUS_ADRALN addr=0x622011D2

Second case.

Remove link to java plugin from components and add it to plugins

cd components
laurent% rm *java*
laurent% cd ../plugins
laurent%  ln -s /usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so
libjavaplugin_oji.so
./mozilla

Seg. Fault... See Truss output, core file available.
/1:     mmap(0xFE610000, 8192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 12,
0) = 0xFE610000
/1:     resolvepath("/usr/lib/libw.so.1", "/usr/lib/libw.so.1", 1023) = 18
/1:     close(12)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/local/lib/mre/mre-1.1b/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/dt/lib/libc.so.1", O_RDONLY)         Err#2 ENOENT
/1:     open("/usr/openwin/lib/libc.so.1", O_RDONLY)    Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 12
/1:     fstat(12, 0xFFBFCF2C)                           = 0
/1:     close(12)                                       = 0
/1:         Incurred fault #6, FLTBOUNDS  %pc = 0xFFE40000
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0xFFE40000
/1:         Received signal #11, SIGSEGV [caught]
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0xFFE40000
/1:     sigprocmask(SIG_SETMASK, 0xFFBFD264, 0x00000000) = 0
/1:     unlink("/home/jlaurent/.mozilla/Jim/pmmfhin3.slt/lock") = 0
/1:     _exit(11)

(Assignee)

Comment 31

15 years ago
Joshua, any ideas?

Comment 32

15 years ago
I can't confirm what build mozilla you are using, I can't reproduce this bug.
I advise you to do as the following step to investigate this bug:

1. try the lastest mozilla build
2. remove java plugin's link, and then boot mozilla, if it still crash, this 
bug has nothing to do with java plugin.
3. if mozilla don't crash, 
link /usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so into plugins 
directory and delete component.reg (in the same directory of mozilla) and then 
boot mozilla
4. if mozilla still crash, 
link /usr/j2se/jre/plugin/sparc/ns600/libjavaplugin_oji.so into plugins 
directory and delete component.reg (in the same directory of mozilla) and then 
boot mozilla

You can try those step, very sorry that I can't reproduce this bug, it maybe 
relate to your machine's environment. I can't find some symptom that this is 
relate to javaplugin from the coredump stack.
(Reporter)

Comment 33

15 years ago
/1:     mmap(0xFE3A0000, 8192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_FIXED, 12,
0) = 0xFE3A0000
/1:     resolvepath("/usr/lib/libw.so.1", "/usr/lib/libw.so.1", 1023) = 18
/1:     close(12)                                       = 0
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("./plugins/libc.so.1", O_RDONLY)           Err#2 ENOENT
/1:     open("/usr/local/lib/mre/mre-1.1b/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("./libc.so.1", O_RDONLY)                   Err#2 ENOENT
/1:     open("/home/jlaurent/local/lib/libc.so.1", O_RDONLY) Err#2 ENOENT
/1:     open("/usr/dt/lib/libc.so.1", O_RDONLY)         Err#2 ENOENT
/1:     open("/usr/openwin/lib/libc.so.1", O_RDONLY)    Err#2 ENOENT
/1:     open("/usr/lib/libc.so.1", O_RDONLY)            = 12
/1:     fstat(12, 0xFFBFCF2C)                           = 0
As you can clearly see from my comment #30 yesterday, mozilla was a brand new
build 2002073023.  Before testing I deleted the previous install and my .mozilla
preferences folder.

When there is NO java plugin, Mozilla starts without problem.

I deleted component.reg and linked the java plugin to "plugins" and received the
seg fault error shown below by truss. component.reg is recreated each time.  I
did this twice (remove component.reg and start mozilla)

I'm unclear as to steps 3 and 4 in your posting.  What is the difference?



/1:     close(12)                                       = 0
/1:         Incurred fault #6, FLTBOUNDS  %pc = 0xFFE40000
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0xFFE40000
/1:         Received signal #11, SIGSEGV [caught]
/1:           siginfo: SIGSEGV SEGV_MAPERR addr=0xFFE40000
/1:     sigprocmask(SIG_SETMASK, 0xFFBFD264, 0x00000000) = 0
/1:     unlink("/home/jlaurent/.mozilla/Jim/pmmfhin3.slt/lock") = 0
/1:     _exit(11)

Comment 34

15 years ago
I also have no idea what happened because I can't reproduce this bug.
Can you clear your /tmp directory and then try again?
or provide some way to let other login to your machine to try?
(Reporter)

Comment 35

15 years ago
Problem occurs even after /tmp files removed.  Sent login information under
separate cover.

Comment 36

15 years ago
I login to your machine, and 
link /usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so into plugins 
directory and the mozilla can boot.

but when I open java console window, the mozilla crash, please use "ps -A" to 
check if there is a thread named "dpglue_s" or not. if there is, kill it, and 
java will work.
(Reporter)

Comment 37

15 years ago
My system has been running continuously for 59 days.  ps -A shows no copies of
'dpglue' running.

Comment 38

15 years ago
Created attachment 104907 [details]
strace output from attempted startup

Mozilla 1.2b segfaults when trying to start.

Comment 39

15 years ago
What system are you running mozilla on?  Where did you get mozilla 1.2b from?

Comment 40

15 years ago
I can reproduce the crash noted in comment #33, which is the same as the second
crash in comment #30 and very similar to the crash in the original comment. I
believe the problem here is using the ns610 copy of the java plugin instead of
the ns600 copy.

Java comes with two different versions of the plugin, in
.../jre/plugin/sparc/ns600 and .../jre/plugin/sparc/ns610. I use mozilla with
the ns600 plugin on solaris 8 all the time with no particular trouble. When I
replace this copy of the plugin with the one from the ns610 directory, mozilla
crashes at startup as noted in comment #33.

The crash noted in the original comment is similar (0xFFE80000 instead of
0xFFE40000); the difference might be from using older versions of mozilla and
java at the time.

The other crashes noted in various comments are probably due to the GTK/GDK
problems and/or putting the java plugin into the components directory rather
than the plugin directory.

Jim, please try using the plugin from the ns600 directory instead of the ns610 copy.

It looks like these crashes have been due to three different problems:

1) GTK/GDK library issues (appear to be resolved)
2) Installing the java plugin into the components directory (it goes in the
plugins directory)
3) Using the ns610 version of the plugin instead of the ns600 version.

 I can reproduce the crash noted in comment #33 by installing the ns610 copy of
the plugin. This is also the second crash noted in comment #30, and it's very
similar to the crash in the original report.
Component: XP Apps → OJI
Keywords: mozilla1.0
Summary: Mozilla aborts with segmentation fault on startup → Segmentation fault on startup with java plugin installed
(Reporter)

Comment 41

15 years ago
Thanks for supporting the fact the I'm not crazy and this thing really does crash.

In the meantime, however, a resourceful person within Sun has created his own
build of Moz 1.2.1.  I downloaded this and run it on Solaris 9 with no problem.

My link for Java plugin is in the plugins directory as:

libjavaplugin_oji140.so -> /usr/j2se/jre/plugin/sparc/ns610/libjavaplugin_oji.so

So, as far as I'm concerned it's a non-issue since I can get it working using
this internal build.  I would think, however, that the developers would still
want to fix a segfault error caused by something as minor as a java plug-in.  A
process should NEVER segfault for any reason.

Comment 42

15 years ago
Okay, I'm going to resolve this WFM since the issue no longer exists. I
understand the main difference between the ns600 and ns610 plugins is in the
compiler being used--Sun's compiler vs. gcc. If you change compilers or go back
to using mozilla.org releases of mozilla, you may find it necessary to switch to
the other copy of the plugin.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 15 years ago
Resolution: --- → WORKSFORME

Updated

7 years ago
Component: Java: OJI → Java: OJI
Product: Core → Core Graveyard
You need to log in before you can comment on or make changes to this bug.